import React from 'react';
import { Props } from './ValueDisplay.types';
export declare const StyledTypography: import("styled-components").IStyledComponent<"web", {
    as?: any;
    className?: string | undefined;
    color?: "inherit" | ((t: import("../../../theme/theme.types").Theme) => string | string[]) | undefined;
    id?: string | undefined;
    weight?: string | undefined;
    'aria-hidden'?: boolean | undefined;
    type?: import("../../../Atoms/Typography/Typography.types").Types | undefined;
    lineHeight?: "inherit" | undefined;
    textAlign?: import("csstype").Property.TextAlign | undefined;
    whiteSpace?: ("pre" | "inherit" | "initial" | "revert" | "unset" | "normal" | "nowrap" | "break-spaces" | "pre-line" | "pre-wrap") | undefined;
    children: React.ReactNode;
}> & React.FC<import("../../../Atoms/Typography/Typography.types").Props>;
export declare function ValueDisplay({ placeholder }: Props): React.JSX.Element;
